Get one of your orders
curl --request GET \
--url https://api.staging.paywire.xyz/payments/merchants/me/orders/{orderId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.staging.paywire.xyz/payments/merchants/me/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.staging.paywire.xyz/payments/merchants/me/orders/{orderId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.staging.paywire.xyz/payments/merchants/me/orders/{orderId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"order": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"paymentLinkId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "AwaitingPayment",
"network": "<string>",
"token": "<string>",
"decimals": 123,
"depositAddress": "<string>",
"refundAddress": "<string>",
"expectedAmount": "<string>",
"expectedAmountDisplay": 123,
"confirmedAmount": "<string>",
"receivedAmount": "<string>",
"remainingAmount": "<string>",
"remainingAmountDisplay": 123,
"fiatAmount": 123,
"fiatCurrency": "<string>",
"rate": 123,
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z",
"deposits": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"txHash": "<string>",
"amount": "<string>",
"token": "<string>",
"status": "Confirmed",
"isLate": true,
"isUnexpectedAsset": true,
"resolution": "<string>",
"observedAt": "2023-11-07T05:31:56Z"
}
],
"depositMemo": "<string>",
"refundedAmount": "0"
},
"callbackUrl": "<string>",
"deposits": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"txHash": "<string>",
"position": "<string>",
"confirmedAt": "2023-11-07T05:31:56Z"
}
]
}Orders
Get one of your orders
The order with its deposits and the callback URL it reports to. Another gateway’s order is 404.
GET
/
payments
/
merchants
/
me
/
orders
/
{orderId}
Get one of your orders
curl --request GET \
--url https://api.staging.paywire.xyz/payments/merchants/me/orders/{orderId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.staging.paywire.xyz/payments/merchants/me/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.staging.paywire.xyz/payments/merchants/me/orders/{orderId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.staging.paywire.xyz/payments/merchants/me/orders/{orderId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"order": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"paymentLinkId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "AwaitingPayment",
"network": "<string>",
"token": "<string>",
"decimals": 123,
"depositAddress": "<string>",
"refundAddress": "<string>",
"expectedAmount": "<string>",
"expectedAmountDisplay": 123,
"confirmedAmount": "<string>",
"receivedAmount": "<string>",
"remainingAmount": "<string>",
"remainingAmountDisplay": 123,
"fiatAmount": 123,
"fiatCurrency": "<string>",
"rate": 123,
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z",
"deposits": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"txHash": "<string>",
"amount": "<string>",
"token": "<string>",
"status": "Confirmed",
"isLate": true,
"isUnexpectedAsset": true,
"resolution": "<string>",
"observedAt": "2023-11-07T05:31:56Z"
}
],
"depositMemo": "<string>",
"refundedAmount": "0"
},
"callbackUrl": "<string>",
"deposits": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"txHash": "<string>",
"position": "<string>",
"confirmedAt": "2023-11-07T05:31:56Z"
}
]
}